Description

Many users of Redmine allow access to at least part of their Redmine installation to anonymous users. For example open source

projects allow access to their public issue tracker or organizations might allow anonymous access to their internal knowledge base

and help desk.

Most of the time, these organizations would like to encourage new users to join the community to take a more active role, so it may

make sense to think about conversion optimization of Redmine for them. A "conversion" in this case would not be seen in a

commercial sense, but in a participatory one: a previously anonymous user which hasn't taken an active role in the community has

now registered and is able to be more active.

For this purpose, we at Planio have developed a small series of patches which I'd like to propose for inclusion into Redmine.

Patch 0001 will introduce a new setting in Administration -> Settings -> Authentication that allows admins to hide

non-mandatory user custom fields on the registration form. In conversion optimization theory, users are more likely to sign up for

something if the sign up form is reasonably small and not overloaded with questions s/he might not want to answer at this time.

Patch 0002 For news articles and forum messages, display the "Add a commment/message" links above the

comments/messages if there are more than 3 of them. This is in preparation for the next patch...

Patch 0003 shows a small link asking anonymous users to register on: the issue list, individual issues, news articles, forum

topics, as well as on the login form. The link will only be shown if the user would be able to perform the current action after

registration (i.e. as a non-member) and only if the admin had previously activated this feature via Administration -> Settings ->

Authentication.

I am attaching a few screenshots to illustrate this set of features.
Related issues:

Related to Redmine - Feature #26189: For 3 comments or more on news items and... Closed

Related to Redmine - Feature #26190: Add setting to hide optional user custom... Closed

Associated revisions

Revision 16537 - 2017-04-09 11:34 - Jean-Philippe Lang

Introduce setting to hide optional user custom fields on registration form (#24089).

Patch by Jan Schulz-Hofen.

Revision 16538 - 2017-04-09 11:35 - Jean-Philippe Lang

Adds setting_show_custom_fields_on_registration string to locales (#24089).

Revision 16539 - 2017-04-09 11:39 - Jean-Philippe Lang

For 3 comments or more, show reply link at top of comments as well (#24089).

Patch by Jan Schulz-Hofen.

History

#1 - 2016-10-17 17:23 - Jan from Planio www.plan.io

- Description updated

#2 - 2016-10-17 17:25 - Jan from Planio www.plan.io
More screenshots:
#3 - 2016-10-20 14:46 - Andrey Lobanov (RedSoft)

Looks perfect. I would like to see it in next release.

#4 - 2016-11-16 01:54 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.4.0

#5 - 2017-06-10 10:37 - Jean-Philippe Lang

- Target version changed from 3.4.0 to Candidate for next major release

I've committed the changes that let custom field to be hidden on the registration form but I'm not really in favor of adding specific links for user

registration. Maybe we could just display the regular link to edit, reply or comment things and display a login or registration form when an anonymous

user clicks them.

#6 - 2017-06-18 14:42 - Mischa The Evil

- Related to Feature #26189: For 3 comments or more on news items and forum messages, show reply link at top of comments as well added

#7 - 2017-06-18 14:42 - Mischa The Evil

- Related to Feature #26190: Add setting to hide optional user custom fields on registration form added

#8 - 2017-06-20 12:36 - Jan from Planio www.plan.io

Jean-Philippe Lang wrote:

I've committed the changes that let custom field to be hidden on the registration form but I'm not really in favor of adding specific links for user

registration. Maybe we could just display the regular link to edit, reply or comment things and display a login or registration form when an

anonymous user clicks them.

 To be honest, I like the fact that the "Edit", "Reply", "Comment", etc. buttons are not shown when a user doesn't have the permission. It makes the

Redmine UI clean and simple for those cases. The extra "call to action" links can be disabled by admins and they are already inactive by default (like

the current behaviour without the patch). So, I would still favour my implementation, since it only adds an optional feature and doesn't change any

current behaviour. But it's your call, of course! :-)

#9 - 2017-07-03 17:22 - Mischa The Evil

Jan from Planio www.plan.io wrote:

To be honest, I like the fact that the "Edit", "Reply", "Comment", etc. buttons are not shown when a user doesn't have the permission. It makes

the Redmine UI clean and simple for those cases. [...]

 I agree with Jan on this one.
